Bug 1309385 - python-pymilter: Provide a Python 3 subpackage
Summary: python-pymilter: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pymilter
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-02-17 16:21 UTC by Petr Viktorin
Modified: 2018-09-06 03:07 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-06 01:00:20 UTC


Attachments (Terms of Use)
Here is a first cut that builds (7.10 KB, text/plain)
2017-05-23 03:10 UTC, Stuart D Gathman
no flags Details
pymilter-dns_dsn.patch (1.40 KB, patch)
2017-05-23 03:15 UTC, Stuart D Gathman
no flags Details | Diff

Description Petr Viktorin 2016-02-17 16:21:13 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:25:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-20 13:15:30 UTC
Hello Paul,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Jan Beran 2016-10-25 13:01:03 UTC
I prepared a spec file that provides Python 3 subpackage. However, mock reports several C API related errors for Python 3 version. I open GitHub issue for the problem [https://github.com/sdgathman/pymilter/issues/11]. Let's wait for an upstream fix.

Comment 4 Jan Beran 2016-11-01 14:54:48 UTC
Hi Paul,

Python 3 version spec file is available in upstream [https://github.com/sdgathman/pymilter/blob/master/py3milter.spec]. A slight update will be probably required (e.g. from ...-pydns to python3-py3dns).

Do you need any help adding Python 3 support to the RPM?

Comment 5 Stuart D Gathman 2016-11-01 20:20:30 UTC
There will be an upstream release when I finalize what is str vs bytes on the python3 side.  I'll create an issue so people can comment.

https://github.com/sdgathman/pymilter/issues/12

Comment 6 Stuart D Gathman 2017-03-20 03:38:16 UTC
To compile python3, my spec file applies a patch to miltermodule.c.  All the python code and most of the C code remains the same that way.

Comment 7 Stuart D Gathman 2017-05-02 01:02:09 UTC
I checked out python-pymilter and started on this.  The Fedora packaging guide wants to make python2-pymilter and python3-pymilter, and have python-pymilter require the system_python version.  

The snag is that there are some common files/dirs between python2 and python3. I can't stick them in python-pymilter, or you'll always get the system_python version.  I guess they need to go in python-common, and have both subpackages require python-common.

Comment 8 Stuart D Gathman 2017-05-23 03:10 UTC
Created attachment 1281309 [details]
Here is a first cut that builds

Need to add the python-pymilter-common package as discussed, I think.

Comment 9 Stuart D Gathman 2017-05-23 03:15 UTC
Created attachment 1281310 [details]
pymilter-dns_dsn.patch

Comment 10 Fedora End Of Life 2018-05-03 08:43:40 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:55:11 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Miro Hrončok 2018-05-29 15:39:05 UTC
Paul?

Comment 13 Stuart D Gathman 2018-06-03 19:06:12 UTC
I just noticed I have commit access, so on Mon I'll test on f28 and commit to master and f28.

Comment 14 Neal Gompa 2018-08-02 09:38:02 UTC
Any progress on this?

Comment 15 Stuart D Gathman 2018-08-04 23:06:28 UTC
Pushed python-pymilter-1.0.2 to rawhide and built.  Builds py2 and py3 subpackages and supplies common and selinux subpackages as well.  I'm not sure if the selinux policy is needed in Fedora, but it is in el7 (and el6).

I built locally for el7, and will briefly test here on a live el7 mail server with py2 before pushing.  Son_Goku will test the py3 build on pagure.

Comment 16 Stuart D Gathman 2018-08-04 23:34:38 UTC
Pushed to epel7 branch and building.  Tested py2 on live mail server.  (Seems to work...)  I should see if I can get the self test to run in %check.

Comment 17 Fedora Update System 2018-08-04 23:44:06 UTC
python-pymilter-1.0.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0170897c75

Comment 18 Fedora Update System 2018-08-05 18:54:07 UTC
python-pymilter-1.0.2-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2c90db0b5f

Comment 19 Fedora Update System 2018-08-06 04:23:35 UTC
python-pymilter-1.0.2-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4cb4d75005

Comment 20 Fedora Update System 2018-08-07 01:33:51 UTC
python-pymilter-1.0.2-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2c90db0b5f

Comment 21 Fedora Update System 2018-08-07 02:23:50 UTC
python-pymilter-1.0.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4cb4d75005

Comment 22 Fedora Update System 2018-09-06 01:00:20 UTC
python-pymilter-1.0.2-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-09-06 03:07:47 UTC
python-pymilter-1.0.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.